cascading.flow.planner.iso.expression

## Enum ScopeExpression.Applies

- java.lang.Object
- - java.lang.Enum<ScopeExpression.Applies>
  - - cascading.flow.planner.iso.expression.ScopeExpression.Applies

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ScopeExpression.Applies>

Enclosing class:
  ScopeExpression

    public static enum ScopeExpression.Applies
    extends java.lang.Enum<ScopeExpression.Applies>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`All` All edges
`Any` At least one edge
`Each` Each edge - unsupported

### Method Summary

Methods
`static ScopeExpression.Applies` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ScopeExpression.Applies[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Any

    public static final ScopeExpression.Applies Any

At least one edge

#### All

    public static final ScopeExpression.Applies All

All edges

#### Each

    public static final ScopeExpression.Applies Each

Each edge - unsupported

### Method Detail

#### values

    public static ScopeExpression.Applies[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ScopeExpression.Applies c : ScopeExpression.Applies.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ScopeExpression.Applies valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null